curl --request GET \
--url https://managexrapi.com/v1/devices/sync-status \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/devices/sync-status"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/devices/sync-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"deviceId": "340YC10G8D14ML",
"serial": "340YC10G8D14ML",
"appSyncStatuses": [
{
"packageName": "com.oculus.panelapp.kiosk",
"installed": true,
"outOfDate": false,
"hasError": false,
"currentVersion": {
"versionCode": 700402468,
"versionName": "76.0.0.0.410",
"versionLabel": "stable"
},
"targetVersion": {
"versionCode": 700402468,
"versionName": "76.0.0.0.410",
"versionLabel": "stable"
}
}
]
}
],
"nextCursor": "<string>"
}{
"statusCode": 400,
"message": "include is required",
"error": "ManageXR Error"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}List Device Sync Status
Retrieve sync status details for devices. Currently supports fetching app sync statuses (installed vs. target version) only.
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Query Parameters
Unique identifier of the organization. Defaults to all organizations the API key has access to.
Multi-org API key limitation: If your multi-org api key gives you access to more than 30 organizatinos, you must include a specific organizationId in this request.
Comma-separated list of content categories to include in the response. Currently only apps is supported. Required.
apps Opaque pagination cursor returned in nextCursor by a prior response. Treat as opaque. Pass the nextCursor from the previous response back as cursor to fetch the next page. End of stream is indicated by nextCursor: null — do not infer end of stream from a short page.
Maximum number of devices to return per page. Default and maximum are both 400.
1 <= x <= 400